#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "_gpl", "");
KSYMTAB_FUNC(nvidia_register_error_cb, "", "");
KSYMTAB_FUNC(nvidia_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNvlinkInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPhysAddrs, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportFatalError, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateKey, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0x08283b74, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x18847a5f, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x214f5c7d, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x741f8a42, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x5b6f1ae7, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x018c5840, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xf1b7e15c, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "_gpl");
SYMBOL_CRC(nvidia_register_error_cb, 0x046aad8b, "");
SYMBOL_CRC(nvidia_unregister_error_cb, 0x03d46922, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x742d4ead, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x972eb9e1, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x0aa90502, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xdf8b46ca, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xf1d38ffd, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x68da4fcb, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x9b02e313, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceGetNvlinkInfo, 0x49f1262d, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPhysAddrs, 0xafd0008b, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceReportFatalError, 0xe02a9acb, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateKey, 0x85c7cadd, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x9ee2976a, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogEncryption, 0x7bfbe5eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x9cb8b066, "pci_iounmap" },
	{ 0x14e651ec, "iterate_fd" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x75525134, "cdev_init" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x62b4ae7a, "init_pid_ns" },
	{ 0x399f7094, "single_open" },
	{ 0xeb0c5e6f, "pci_restore_state" },
	{ 0xd5ddcb3b, "pci_enable_atomic_ops_to_root" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x995f2158, "device_destroy" },
	{ 0xb19fd9f5, "module_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x9722d430, "crypto_shash_update" },
	{ 0x711af9ee, "__kmem_cache_create_args" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x8515f5be, "crypto_shash_import" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6008270f, "vmf_insert_pfn_prot" },
	{ 0x44b1296, "fput" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x5bfcd355, "pci_write_config_byte" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4829a47e, "memcpy" },
	{ 0x178d6112, "pci_get_domain_bus_and_slot" },
	{ 0xd5e6ac9e, "vmap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xedc03953, "iounmap" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x3c218b35, "vga_set_legacy_decoding" },
	{ 0x5ee391e7, "pci_disable_device" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x3778af3e, "node_data" },
	{ 0x95693ccf, "__folio_put" },
	{ 0xb6214039, "pci_rebar_get_possible_sizes" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x47e0473e, "dma_buf_attach" },
	{ 0x618911fc, "numa_node" },
	{ 0x4a9d46cb, "crypto_shash_tfm_digest" },
	{ 0xece784c2, "rb_first" },
	{ 0x86359799, "pcie_capability_read_word" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe6253c61, "i2c_add_adapter" },
	{ 0xe35e2b57, "pci_get_class" },
	{ 0x4bc84fea, "cdev_add" },
	{ 0x28821e1a, "dma_buf_detach" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x668b19a1, "down_read" },
	{ 0x9c741b5a, "get_task_pid" },
	{ 0xd85dd8fd, "pm_vt_switch_unregister" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xf91bf553, "kmalloc_caches" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x57a749ac, "dma_set_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1c6d241b, "__alloc_pages_noprof" },
	{ 0xc6cbbc89, "capable" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x28044548, "crypto_aead_setkey" },
	{ 0x8b8534a4, "__pci_register_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1c140ee4, "seq_read" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5a921311, "strncmp" },
	{ 0xebb8b434, "dma_buf_unmap_attachment" },
	{ 0x4b2f0c3b, "remove_proc_entry" },
	{ 0xa7026f9, "proc_mkdir_mode" },
	{ 0xbffef778, "pci_write_config_dword" },
	{ 0xd37bc7a6, "pcie_reset_flr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x8746bdea, "pci_read_config_dword" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4f9a0c00, "vm_insert_page" },
	{ 0xa4209f45, "remap_pfn_range" },
	{ 0xcd8e9113, "crypto_destroy_tfm" },
	{ 0x443d8eb1, "find_vma_intersection" },
	{ 0xa4ba3547, "sg_alloc_table_from_pages_segment" },
	{ 0xce807a25, "up_write" },
	{ 0x1d07ec41, "device_create" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0x12318e6e, "pci_enable_device" },
	{ 0x3f8a2cf4, "crypto_alloc_aead" },
	{ 0xdf454897, "pci_set_master" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa7fa8b41, "__dma_sync_sg_for_device" },
	{ 0xb679fbd6, "pci_dev_put" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x9d86cb33, "__kmalloc_cache_noprof" },
	{ 0xb726a36a, "single_release" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bace747, "proc_create_data" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9a490abf, "seq_lseek" },
	{ 0x1fd950ae, "pci_read_config_byte" },
	{ 0xb733421c, "pci_write_config_word" },
	{ 0x864b5a86, "dma_buf_export" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0xe79ae71c, "pci_assign_unassigned_bus_resources" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xc74afe36, "task_active_pid_ns" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4c421e84, "iov_iter_kvec" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6ef54a4c, "dev_driver_string" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xeda3c345, "pci_request_regions" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x85bd1608, "__request_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x21d3c85f, "device_property_read_u64_array" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xcf2ea86b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7918d817, "memory_failure" },
	{ 0xa6257a2f, "complete" },
	{ 0xdf024e36, "pci_read_config_word" },
	{ 0x423d226, "crypto_aead_decrypt" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1686a280, "ecc_is_pubkey_valid_full" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x6023f4c4, "kmem_cache_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c2249a, "set_page_dirty_lock" },
	{ 0xb6fde909, "close_fd" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x903922b3, "kernel_write" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0x7e4c3df5, "efi" },
	{ 0x6d884bfc, "pid_vnr" },
	{ 0xc0b4d060, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x22f674e2, "class_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0x9b67038b, "pci_disable_msix" },
	{ 0x999e8297, "vfree" },
	{ 0x14f3396b, "dma_set_coherent_mask" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x66055c27, "__mmap_lock_do_trace_acquire_returned" },
	{ 0xc6f38b00, "public_key_verify_signature" },
	{ 0xc2310cdc, "logic_inl" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x13048eae, "fd_install" },
	{ 0xc1b8de18, "param_ops_int" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0xcf2a6966, "up" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x604e1e3e, "pci_disable_msi" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x385c7481, "__tracepoint_mmap_lock_start_locking" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x9166fada, "strncpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1665b0e6, "cdev_del" },
	{ 0x23bfcde4, "dma_buf_map_attachment" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x409f4745, "put_pid" },
	{ 0xf36ce308, "pci_release_regions" },
	{ 0x1000e51, "schedule" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0xe6e8a7ba, "request_firmware" },
	{ 0xd7603b3b, "pci_bus_type" },
	{ 0xb7fd04b4, "crypto_aead_encrypt" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xc631580a, "console_unlock" },
	{ 0xfb0679de, "crypto_shash_export" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2d650093, "pci_enable_msi" },
	{ 0xdcb764ad, "memset" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6f1cb660, "__dma_sync_single_for_cpu" },
	{ 0xb3b9e421, "kthread_create_on_node" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x77358855, "iomem_resource" },
	{ 0x721f805f, "is_acpi_device_node" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5d6c0508, "class_destroy" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xad282250, "pci_resize_resource" },
	{ 0x33037fd8, "logic_outl" },
	{ 0x82961320, "pci_enable_msix_range" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x148653, "vsnprintf" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xfd1d4c4e, "seq_printf" },
	{ 0x2f49fdb6, "kthread_stop" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x53b954a2, "up_read" },
	{ 0x437a573b, "crypto_alloc_shash" },
	{ 0x5f382edc, "__seq_puts" },
	{ 0xa916b694, "strnlen" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xdab3dffd, "kernel_read" },
	{ 0xa523704b, "__mmap_lock_do_trace_start_locking" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x4c494a4e, "seq_read_iter" },
	{ 0x92e9fafe, "dma_free_attrs" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0xfe6c7317, "unpin_user_page" },
	{ 0x5a33b454, "pci_find_capability" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5dfe3659, "key_type_asymmetric" },
	{ 0x59100486, "ecc_get_curve" },
	{ 0x137bc6ec, "try_module_get" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x53f3d089, "__put_devmap_managed_folio_refs" },
	{ 0x9685c323, "pci_find_host_bridge" },
	{ 0x734f75f4, "pci_iomap" },
	{ 0x67f1b115, "unmap_mapping_range" },
	{ 0x6626afca, "down" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa360019, "pcibios_resource_to_bus" },
	{ 0xd3a8013, "pci_stop_and_remove_bus_device" },
	{ 0xe43055bf, "fget" },
	{ 0x57d77108, "kmem_cache_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb4aef012, "crypto_shash_final" },
	{ 0x94961283, "vunmap" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x37a0cba, "kfree" },
	{ 0x714ef532, "filp_close" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0x3c380022, "dma_alloc_attrs" },
	{ 0xd4b6aa0, "pci_save_state" },
	{ 0x57bc19d2, "down_write" },
	{ 0x5137c906, "dma_map_page_attrs" },
	{ 0x349cba85, "strchr" },
	{ 0xfbbdc12a, "kmem_cache_alloc_noprof" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa6b78da, "pm_vt_switch_required" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xfadda2b1, "dma_unmap_page_attrs" },
	{ 0xd469bccc, "__tracepoint_mmap_lock_released" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x6fb7b667, "dma_buf_get" },
	{ 0x3f7c7e37, "__free_pages" },
	{ 0x90dc6646, "param_ops_charp" },
	{ 0x99b22e00, "dma_buf_put" },
	{ 0xd90278a5, "crypto_alloc_akcipher" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x707976a9, "filp_open" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc234f51b, "dma_map_sg_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xcd311184, "pci_unregister_driver" },
	{ 0x77e3cddf, "address_space_init_once" },
	{ 0xe6ae3f75, "vmalloc_to_page" },
	{ 0xb5026840, "wake_up_process" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x9ba7a087, "crypto_shash_setkey" },
	{ 0x8525bbd9, "proc_remove" },
	{ 0x50017a84, "dma_unmap_sg_attrs" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf98e545a, "dma_buf_fd" },
	{ 0x67a8e665, "on_each_cpu_cond_mask" },
	{ 0xa71e7d35, "pci_clear_master" },
	{ 0x7eafc584, "i2c_del_adapter" },
	{ 0x9bd74eff, "pin_user_pages" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe320d286, "pci_release_resource" },
	{ 0xcac287c, "pci_ats_supported" },
	{ 0xf1e046cc, "panic" },
	{ 0xcb9dfe05, "__mmap_lock_do_trace_released" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x996f49f7, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "37F383962CD064056707741");

MODULE_INFO(suserelease, "SLFO-1.2");
